Bug 133635 - WebGL EXT_frag_depth may now be implemented
: WebGL EXT_frag_depth may now be implemented
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebGL
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Nobody
http://www.khronos.org/registry/webgl...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-08 22:42 PDT by Florian Bösch
Modified: 2014-12-12 12:23 PST (History)
4 users (show)

See Also:


Attachments
patch (27.53 KB, patch)
2014-12-10 17:11 PST, Roger Fong
dino: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Bösch 2014-06-08 22:42:39 PDT
The WebGL extension EXT_frag_depth was moved to draft and may now be implemented.

Specification: http://www.khronos.org/registry/webgl/extensions/EXT_frag_depth/
Chrome ticket: https://code.google.com/p/chromium/issues/detail?id=167037
Firefox ticket: https://bugzilla.mozilla.org/show_bug.cgi?id=823454
Comment 1 Florian Bösch 2014-06-09 20:38:41 PDT
EXT_frag_depth changed registry status to community approved.
Comment 2 Florian Bösch 2014-06-18 00:10:39 PDT
Firefox now implements EXT_frag_depth unprefixed on OSX and Linux and Windows.
Comment 3 Florian Bösch 2014-07-04 04:02:08 PDT
The EXT_frag_depth extension was moved from draft to community approved.
Comment 4 Roger Fong 2014-12-09 13:52:58 PST
rdar://problem/19195381
Comment 5 Roger Fong 2014-12-10 17:11:41 PST
Created attachment 243080 [details]
patch
Comment 6 Roger Fong 2014-12-10 17:13:16 PST
I don't think those sRGB entries in the xcodeproj file were meant to be there in the first place. Xcode has gotten rid of them for me.
Comment 7 Dean Jackson 2014-12-10 18:12:48 PST
Comment on attachment 243080 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=243080&action=review

> Source/WebCore/ChangeLog:10
> +        webgl/1.0.3/conformance/extensions/ext-frag-depth.html

This test is currently skipped. We should make a copy in fast/canvas/webgl (assuming all the referenced JS files are compatible)

> Source/WebCore/WebCore.xcodeproj/project.pbxproj:-23497
> -				72E417651A2E8D50004C562A /* JSEXTsRGB.h in Headers */,

I assume this is what you were talking about?
Comment 8 Roger Fong 2014-12-10 18:18:54 PST
(In reply to comment #7)
> Comment on attachment 243080 [details]
> patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=243080&action=review
> 
> > Source/WebCore/ChangeLog:10
> > +        webgl/1.0.3/conformance/extensions/ext-frag-depth.html
> 

Will do.
> This test is currently skipped. We should make a copy in fast/canvas/webgl
> (assuming all the referenced JS files are compatible)
> 
> > Source/WebCore/WebCore.xcodeproj/project.pbxproj:-23497
> > -				72E417651A2E8D50004C562A /* JSEXTsRGB.h in Headers */,
> 
> I assume this is what you were talking about?

Yup
Comment 9 Roger Fong 2014-12-12 12:23:23 PST
http://trac.webkit.org/changeset/177194